<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginJUploadConfigView extends AdminPluginTemplatedView
	{

		function PluginJUploadConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "jupload", "pluginsettings" );
		}
		
		function render()
		{
			// load some configuration settings
			$config =& Config::getConfig();
			$pluginEnabled = $config->getValue( "plugin_jupload_enabled" );
			$maxFilesPerRequest = $config->getValue( "plugin_jupload_maxfilesperrequest" );
			if ($maxFilesPerRequest == "") $maxFilesPerRequest = 3;
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "maxFilesPerRequest", $maxFilesPerRequest );
			
			parent::render();
		}
	}
?>